"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mongoose_1 = __importDefault(require("mongoose"));
const { Schema } = mongoose_1.default;
const EntitySchema = new Schema({
    hp: { required: false, type: Number },
    in: String,
    lastSeen: { required: false, type: Number },
    level: { required: false, type: Number },
    map: String,
    name: { required: false, type: String },
    serverIdentifier: String,
    serverRegion: String,
    target: { required: false, type: String },
    type: String,
    x: Number,
    y: Number
});
EntitySchema.index({ type: 1 });
EntitySchema.index({ name: 1, serverIdentifier: 1, serverRegion: 1, type: 1 }, { unique: true });
EntitySchema.index({ lastSeen: 1 });
exports.default = EntitySchema;
//# sourceMappingURL=entities.schema.js.map